import controlP5.*;
ControlP5 controlP5;
Button s;

PrintWriter output;
BufferedReader reader;
String line;

int a = 0;
int b = 0;
int c = 0;
int x = 66;

public int sliderA = 1;
public int toggleB = 1;
public int toggleC = 1;

void setup()
{
  size(800, 400);
  reader = createReader("testdaten.txt");
  controlP5 = new ControlP5(this);
  ControlGroup cg = controlP5.addGroup("myGroup", 50, 110);
  controlP5.begin(cg, 0, 10);
  // linebreak() forces the consecutive controller to
  // start in the next line.
  controlP5.addSlider("sliderA", 0, 100).linebreak();
  controlP5.addNumberbox("zielB");
  controlP5.addNumberbox("zielC").linebreak();
  controlP5.addToggle("toggleB");
  controlP5.addToggle("toggleC");
  controlP5.addButton("Speichern");
  controlP5.end();

  try {
    line = reader.readLine();
  }
  catch (IOException e) {
    e.printStackTrace();
    line = null;
  }
  if (line == null) {
    output = createWriter("testdaten.txt");
    output.println("error: "+a+","+b+","+c);
    output.flush();
    output.close();
  }
  else {
    String[] pieces = split(line, ",");
    int a = int(pieces[0]);
    int b = int(pieces[1]);
    int c = int(pieces[2]);
    println("werte wurden gelesen: "+a+" "+b+" "+c);
    controlP5.controller("sliderA").setValue(a);
    controlP5.controller("zielB").setValue(b);
    controlP5.controller("zielC").setValue(c);
  }
  
  println(a+" "+b+" "+c);
}

public void sliderA(int v) { 
  a = v;
}
public void zielB(int v) { 
  b = v;
}
public void zielC(int v) { 
  c = v;
}
public void Speichern() {
  output = createWriter("testdaten.txt");
  output.println(a+","+b+","+c);
  output.flush();
  output.close();
}

void draw()
{
  background(a);
  if(toggleB !=0) {
    fill(b);
    rect(280, 100, 200, 200);
  }
  if(toggleC !=0) {
    fill(c);
    rect(500, 100, 200, 200);
  }
}

